#ifndef __DELAY_H__
#define __DELAY_H__

#include "virtual_timer/VirtualTimer.h"

namespace pinetime
{

class Delay
    : public pinetime::virtual_timer::VirtualTimer
{

public:
    Delay();
    void delay(uint64_t);

    void notification();

private:
    bool pause;
};

}

#endif
